Apis::V4::PeopleSearch API

search people by phone number

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIxNywiaWF0IjoxNzk0NTQwMDM3fQ.lnFJXg0N6m-9ov0sJL1fuBgQhghydEIaMW_vb525Vzo
Host: example.org
Cookie: 

Route

GET /apis/v4/search?q=123

Query Parameters

q=123

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjgzNywiaWF0IjoxNzk0NTQwMDM3fQ.i-VCwQjN3WFo1PeSLH0szjR9XpC6Xepw1pAZehVyku0
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"7128d6a469b09a1e738d0d9681d081a7"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 1872b3fb-3f31-470a-947e-20f704ea50cc
X-Runtime: 0.077824
Content-Length: 1111

Status

200

Body